olecfexport

NAME
olecfexport - exports items stored in a Object Linking and Embedding (OLE) Compound File (CF)

SYNOPSIS
olecfexport [-c codepage] [-f format] [-l logfile] [-m mode] [-t target] [-dhqvV] source

DESCRIPTION
olecfexport is a utility to export items stored in a Object Linking and Embedding (OLE) Compound File (CF)

olecfexport is part of the libolecf package. libolecf is a library to access the Object Linking and Embedding (OLE) Compound File (CF) format

source is the source file.

The options are as follows:

-c codepage
    specify the codepage of ASCII strings, options: ascii, windows-874, windows-932, windows-936, windows-949, windows-950, windows-1250, windows-1251, windows-1252 (default), windows-1253, windows-1254, windows-1255, windows-1256, windows-1257 or windows-1258

-d  dumps the item values in a separate file: ItemValues.txt

-f format
    specify the preferred output format, options: all, html, rtf, text (default)

-h  shows this help

-l logfile
    specify the file in which to log information about the exported items

-m mode
    export mode, option: all, debug, items (default), recovered. 'all' exports the (allocated) items, orphan and recovered items. 'debug' exports all the (allocated) items, also those outside the the root folder. 'items' exports the (allocated) items. 'recovered' exports the orphan and recovered items.

-q  quiet shows minimal status information

-t target
    specify the basename of the target directory to export to (default is the source filename followed by .export)

-v  verbose output to stderr

-V  print version

ENVIRONMENT
None

FILES
None

EXAMPLES

    # olecfexport file.doc
    olecfexport 20101027

        ...

DIAGNOSTICS
Errors, verbose and debug output are printed to stderr when verbose output -v is enabled. Verbose and debug output are only printed when enabled at compilation.

BUGS
Please report bugs of any kind to <joachim.metz@gmail.com> or on the project website: https://github.com/libyal/libolecf/

AUTHOR
These man pages were written by Joachim Metz.

COPYRIGHT
Copyright (C) 2008-2021, Joachim Metz <joachim.metz@gmail.com>. This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
olecfinfo(1)